List library background packs
Lists the packs of the background library with their license, notice, source, entry count and a cover thumbnail. Public and edge-cached like `GET /v1/render/backgrounds`.
GET
/v1/render/backgrounds/packs
Lists the packs of the background library with their license, notice, source, entry count and a cover
thumbnail. Public and edge-cached like `GET /v1/render/backgrounds`.
Responses
200
The packs.
application/jsonobject
string
REQUIRED
Enum:
listdata
object[]
REQUIRED
Array of:
pack
string
REQUIRED
object
string
REQUIRED
Enum:
render.background_packname
string
REQUIRED
kind
string
REQUIRED
Enum:
csscount
integer
REQUIRED
themes
string[]
REQUIRED
Array of:
string
license
string
REQUIRED
notice
string
The attribution the license asks for.
source
string (uri)
REQUIRED
cover_thumbnail_url
string (uri)
REQUIRED
next_cursor
string | null
REQUIRED
429
A rate, concurrency or quota limit applies (`rate_limited`, `concurrency_limited`, `quota_exceeded`).
500
Something failed inside B3OS (`internal`). Retry with backoff.
503
The node or the product is not available right now (`node_unavailable`, `product_unavailable`, `capacity_unavailable`).
curl -X GET 'https://beta-api.b3os.org/v1/render/backgrounds/packs' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://beta-api.b3os.org/v1/render/backgrounds/packs', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://beta-api.b3os.org/v1/render/backgrounds/packs', headers=headers)print(response.json())
200
Response
{ "object": "list", "data": [ { "pack": "patterncraft", "object": "render.background_pack", "name": "Pattern Craft", "kind": "css", "count": 29, "themes": [ "dark", "light" ], "license": "MIT", "notice": "Pattern Craft, MIT License, Copyright (c) 2025 Megh Bari (crates/b3os-compose/library/LICENSE-patterncraft.txt)", "source": "https://github.com/megh-bari/pattern-craft", "cover_thumbnail_url": "https://beta.b3os.org/assets/presets/library/patterncraft/azure-depths.webp" } ], "next_cursor": null}
API Playground
Try this endpoint
GET
/v1/render/backgrounds/packs